import React, { Component } from 'react';
import { Provider } from 'react-redux';
import './App.css';
import { Route } from 'react-router-dom';
import Home from './containers/Home';
import TopicsList from './containers/TopicsList';
import store from './store/configureStore';

class App extends Component {
  render() {
    return (
      <Provider store={ store }>
        <div className="App">
          <Route exact={ true } path="/" component={ Home } />
          <Route path="/topics" component={ TopicsList } />
        </div>
      </Provider>
    );
  }
}

export default App;
